## ros-noetic-pr2-tilt-laser-interface 0.0.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pr2_tilt_laser_interface)

find_package(catkin REQUIRED COMPONENTS
  roscpp 
  actionlib 
  actionlib_msgs
  pr2_msgs
  sensor_msgs
  message_generation
  pcl_ros
  pcl_conversions
  laser_geometry)

find_package(Boost REQUIRED)

add_action_files(DIRECTORY action FILES GetSnapshot.action)
generate_messages(DEPENDENCIES actionlib_msgs sensor_msgs pr2_msgs)

catkin_package(
  CATKIN_DEPENDS actionlib_msgs pr2_msgs sensor_msgs message_runtime)

include_directories(
  ${catkin_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
)

# add_executable(snapshotter src/snapshotter_action.cpp)
# target_link_libraries(snapshotter ${catkin_LIBRARIES})
# add_dependencies(snapshotter ${PROJECT_NAME}_gencpp)

add_executable(grab_result src/grab_result.cpp)
target_link_libraries(grab_result ${catkin_LIBRARIES})
add_dependencies(grab_result ${PROJECT_NAME}_gencpp)

=== debian/changelog ===
ros-noetic-pr2-tilt-laser-interface (0.0.12-1buster) buster; urgency=high

  * Merge pull request #39 <https://github.com/PR2/pr2_common_actions//issues/39> from lopsided98/remove-boost-signals
    pr2_tilt_laser_interface: remove unused Boost signals dependency
  * pr2_tilt_laser_interface: remove unused Boost signals dependency
  * Contributors: Ben Wolsieffer, Michael Görner

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 19 May 2021 15:00:00 -0000

ros-noetic-pr2-tilt-laser-interface (0.0.11-1buster) buster; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Fri, 21 Sep 2018 15:00:00 -0000

ros-noetic-pr2-tilt-laser-interface (0.0.10-1buster) buster; urgency=high

  * Merge pull request #36 <https://github.com/pr2/pr2_common_actions/issues/36> from k-okada/kinetic-devel
    change maintainer to ROS orphaned package maintainer
  * change maintainer to ROS orphaned package maintainer
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 13 Feb 2018 15:00:00 -0000

ros-noetic-pr2-tilt-laser-interface (0.0.7-1buster) buster; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 25 Mar 2015 15:00:00 -0000

ros-noetic-pr2-tilt-laser-interface (0.0.6-1buster) buster; urgency=high

  * Merge branch 'hydro-devel-unstable' of https://github.com/PR2/pr2_common_actions into hydro-devel-unstable
  * Updated maintainership
  * Contributors: TheDash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 09 Feb 2015 15:00:00 -0000

ros-noetic-pr2-tilt-laser-interface (0.0.5-1buster) buster; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 05 Feb 2015 15:00:00 -0000

ros-noetic-pr2-tilt-laser-interface (0.0.4-1buster) buster; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 16 Nov 2014 15:00:00 -0000

ros-noetic-pr2-tilt-laser-interface (0.0.3-1buster) buster; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Fri, 05 Sep 2014 15:00:00 -0000

=== debian/control ===
Source: ros-noetic-pr2-tilt-laser-interface
Section: misc
Priority: optional
Maintainer: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-noetic-actionlib, ros-noetic-actionlib-msgs, ros-noetic-catkin, ros-noetic-laser-geometry, ros-noetic-message-generation, ros-noetic-pcl-conversions, ros-noetic-pcl-ros, ros-noetic-pr2-msgs, ros-noetic-roscpp, ros-noetic-sensor-msgs
Homepage: http://ros.org/wiki/pr2_tilt_laser
Standards-Version: 3.9.2

Package: ros-noetic-pr2-tilt-laser-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-noetic-actionlib, ros-noetic-actionlib-msgs, ros-noetic-laser-geometry, ros-noetic-message-runtime, ros-noetic-pcl-conversions, ros-noetic-pcl-ros, ros-noetic-pr2-msgs, ros-noetic-roscpp, ros-noetic-sensor-msgs
Description: Provides a set of tools/actions for manipulating the pr2's tilting laser.
 Simplifies previously complex tasks, such as fetching a single sweep, given a set of desired parameters for both the laser driver and tilting platform.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-pr2-tilt-laser-interface//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
